select /*+ FIRST_ROWS(1) */
    t.zf8aufsatzautor as "author",
    t.zf8atitel as "title",
    t.zf8titel as "intitle",
    to_char(t.zf8jahr) as "year",
    t.zf8band as "volume",
    t.zf8heft as "issue",
    t.zf8seiten as "pagination",
    t.zf8verlag as "publisher",
    trim(t.zf8eort) as "publisherplace",
    decode(t.zf8isbn, NULL, '', trim(t.zf8isbn)) as "isbn",
    decode(t.zf8issn, NULL, '', trim(t.zf8issn)) as "issn",
    NVL(SUBSTR(t.zf8quelle, 0, INSTR(t.zf8quelle, '$') - 1), t.zf8quelle) as "source",
    t.zf8titelid as "sourceid",
    e1.message as "doi"
from zf1medien m
  left join zf8titel t on m.zf1bestellid = t.zf8bestellid
  left outer join event e1 on m.zf1bestellid = e1.ordernumber and e1.type = 'requestform' and e1.code = 'doi'
where m.zf1bestellid = :key
