select /*+ FIRST_ROWS(100) */
    r.zf6lfd as "pos",
    to_timestamp(to_char(r.zf6date,'DD.MM.YYYY') || ' ' || r.zf6uhr, 'DD.MM.YYYY HH24::MI::SS') as "time",
    decode(sup.zf10isil,
      'SWB', 'DE-576',
      'GBV', 'DE-601',
      'KOBV', 'DE-602',
      'HEBIS', 'DE-603',
      'BVB', 'DE-604',
      'hbz', 'DE-605',
      sup.zf10isil) as "supplierisil",
    case when r.zf6ausgang = 0
       then trim(r.zf6vorgang)
       when r.zf6ausgang = -1
       then 'Quit'
       when r.zf6ausgang = 1
       then trim(r.zf6vorgang)
    end as "status",
    NULL as "statustranslation",
    upper(trim(r.zf6local)) as "substatus",
    NULL as "substatustranslation",
    r.zf6whynot as "info",
    decode(sup.zf10isil,
      'SWB', 'true',
      'GBV', 'true',
      'KOBV', 'true',
      'HEBIS', 'true',
      'BVB', 'true',
      'DE-576', 'true',
      'DE-601', 'true',
      'DE-602', 'true',
      'DE-603', 'true',
      'DE-604', 'true',
      NULL) as "trackable"
from zf1medien m
    inner join zf6status r on m.zf1bestellid = r.zf6bestellid
    inner join zf7leitweg zl on r.zf6bestellid = zl.zf7bestellid and r.zf6prio = zl.zf7prio
    inner join zf10bibl sup on zl.zf7sigel_id = sup.zf10id
    inner join zf10bibl cur on r.zf6sigelaktuell_id = cur.zf10id
