select
    'ZFL' as "ordersystem",
    decode(m.zf1bstype2,
      'C', 'COPY',
      'L', 'LOAN',
      'F', 'FORM',
      'V', 'RESERVATION',
      m.zf1bstype2) as "circulation",
    trim(s.zf6vorgang) as "status",
    trim(s.zf6local) as "substatus",
    count(*) as "count"
from zf1medien m
    inner join zf6status i on m.zf1bestellid = i.zf6bestellid and i.zf6lfd = 1
    inner join zf6status s on m.zf1bestellid = s.zf6bestellid and m.zf1lfd = s.zf6lfd
%s
group by
    decode(m.zf1bstype2,
      'C', 'COPY',
      'L', 'LOAN',
      'F', 'FORM',
      'V', 'RESERVATION',
      m.zf1bstype2),
    trim(s.zf6vorgang),
    trim(s.zf6local)
