select /*+ FIRST_ROWS(10) */
    l.zf7prio as "pos",
    case when s.zf6prio = l.zf7prio then 'Y' else 'N' end as "active",
    req.zf10isil as "requesterisil",
    NVL(SUBSTR(t.zf8quelle, 0, INSTR(t.zf8quelle, '$') - 1), t.zf8quelle) as "source",
    t.zf8titelid as "sourceid",
    to_char(t.zf8jahr) as "year",
    decode(m.zf1bstype2,
      'C', 'COPY',
      'L', 'LOAN',
      'F', 'FORM',
      'V', 'RESERVATION',
      m.zf1bstype2) as "circulation",
    decode(sup.zf10isil,
      'SWB', 'DE-576',
      'GBV', 'DE-601',
      'KOBV', 'DE-602',
      'HEBIS', 'DE-603',
      'BVB', 'DE-604',
      'hbz', 'DE-605',
      sup.zf10isil) as "supplierisil",
    decode(l.zf7service,
      'S', 'SISIS',
      'M', 'Mail',
      'X', 'Extern',
      'V', 'Verbund',
      l.zf7service) as "transportservice",
      t.zf8koerper as "koerperschaft"
from zf1medien m
  inner join zf8titel t on m.zf1bestellid = t.zf8bestellid
  inner join zf6status s on m.zf1bestellid = s.zf6bestellid and s.zf6lfd = m.zf1lfd
  inner join zf7leitweg l on m.zf1bestellid = l.zf7bestellid
  inner join zf10bibl sup on l.zf7sigel_id = sup.zf10id
  inner join zf10bibl req on m.zf1sigelnb_id = req.zf10id
where m.zf1bestellid = :key
order by l.zf7prio asc
