select /*+ FIRST_ROWS(1) */
    s.zf6prio as "pos",
    to_timestamp(to_char(s.zf6date,'DD.MM.YYYY') || ' ' || s.zf6uhr, 'DD.MM.YYYY HH24::MI::SS') as "supplytime",
    decode(sup.zf10isil,
      'SWB', 'DE-576',
      'GBV', 'DE-601',
      'KOBV', 'DE-602',
      'HEBIS', 'DE-603',
      'BVB', 'DE-604',
      'hbz', 'DE-605',
      sup.zf10isil) as "supplierisil",
    cast(e4.time as timestamp) as "deliverytime",
    t.zf8pdfseiten as "pages"
from zf1medien m
    inner join zf8titel t on m.zf1bestellid = t.zf8bestellid
    inner join zf6status s on m.zf1bestellid = s.zf6bestellid and s.zf6lfd = m.zf1lfd
    left outer join zf7leitweg zl on s.zf6bestellid = zl.zf7bestellid and s.zf6prio = zl.zf7prio
    left outer join zf10bibl sup on zl.zf7sigel_id = sup.zf10id
    left outer join event e4 on m.zf1bestellid = e4.ordernumber and e4.type = 'transaction' and e4.code = 'transaction-success'
where m.zf1bestellid = :key
